Outpost logoOutpost Docs

List numbers in the origination pool

GET
/v1/pool/numbers

List origination identities (numbers) in the configured End User Messaging pool

x-api-key<token>

Project-scoped API key. Keys carry either the ADMIN or TENANT role; a route additionally requires that the key's role is listed in its x-required-roles. Machine-to-machine callers should use this.

In: header

Query Parameters

limit?string
Default"20"
cursor?string
isoCountryCode?string
Length2 <= length <= 2
capability?string

Value in

  • "SMS"
  • "VOICE"
  • "MMS"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/pool/numbers"
{  "data": [    {      "originationIdentityArn": "string",      "originationIdentity": "string",      "isoCountryCode": "string",      "numberCapabilities": [        "string"      ],      "phoneNumber": "string"    }  ],  "cursor": "string",  "hasMore": true}